cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v1/agents/licenses \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v1/agents/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/agents/licenses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"npn": "<string>",
"stateCode": "AL",
"licenseNumber": "<string>",
"licenseClassCode": "<string>",
"licenseClassName": "<string>",
"status": "<string>",
"residencyStatus": "non-resident",
"issueDate": "2023-11-07T05:31:56Z",
"lastRenewalDate": "2023-11-07T05:31:56Z",
"nextRenewalDate": "2023-11-07T05:31:56Z",
"linesOfAuthority": [
{
"code": "<string>",
"name": "<string>",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"statusReason": "<string>",
"statusReasonDate": "2023-11-07T05:31:56Z",
"continuingEducation": {
"status": "in compliance",
"renewalDate": "2023-11-07T05:31:56Z",
"creditsNeeded": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Licenses
Get All Agent Licenses
Retrieve an agentβs license records by NPN
GET
/
v1
/
agents
/
licenses
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v1/agents/licenses \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v1/agents/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/agents/licenses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"npn": "<string>",
"stateCode": "AL",
"licenseNumber": "<string>",
"licenseClassCode": "<string>",
"licenseClassName": "<string>",
"status": "<string>",
"residencyStatus": "non-resident",
"issueDate": "2023-11-07T05:31:56Z",
"lastRenewalDate": "2023-11-07T05:31:56Z",
"nextRenewalDate": "2023-11-07T05:31:56Z",
"linesOfAuthority": [
{
"code": "<string>",
"name": "<string>",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"statusReason": "<string>",
"statusReasonDate": "2023-11-07T05:31:56Z",
"continuingEducation": {
"status": "in compliance",
"renewalDate": "2023-11-07T05:31:56Z",
"creditsNeeded": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns the license records for the agent with the given NPN under your account. The
npn query parameter is required. You can also filter by state code and license status.Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
National Producer Number (digits only)
Pattern:
^\d+$Example:
"1234567"
State code (two-letter abbreviation)
Example:
"FL"
Filter for the license status
Example:
"active"
Was this page helpful?